<CsoundSynthesizer>
<CsInstruments>
; test the levels on system's input device


sr = 44100
ksmps = 120
nchnls = 2

instr 1

	ainL, ainR	ins

	kgain	invalue "gain"	; gain slider
	kgain port kgain, .05	; avoid clicks

	ainL 	=	ainL*kgain
	ainR 	=	ainR*kgain

	; record on/off toggle
	; 	although it is recommended to use the built-in
	;	"Peform in real-time to File" feature instead
	krec	invalue "record"	
	if ( krec == 1 ) then
		fout "test.sd2", 1, ainL, ainR 
	endif

	; send rms to meters
	kpeakL 	rms	ainL
	kpeakR	rms	ainR

	outvalue "peakL", kpeakL/0dbfs	
	outvalue "peakR", kpeakR/0dbfs
	
	; also display a clip light
	kclipL 	init 	0
	kclipR 	init 	0
	
	kclip		peak ainL
	kclip = kclip/0dbfs

	if (kclip > 1) then
		printks "CLIP! %f%r", 0, kclip
	elseif (kclip > kclipL) then
		kclipL = kclip
	else
		kclipL = kclipL * .999
	endif

	kclip		peak ainR
	kclip = kclip/0dbfs
	if (kclip > 1) then
		printks "CLIP! %f%r", 0, kclip
	elseif (kclip > kclipR) then
		kclipR = kclip
	else
		kclipR  = kclipR * .999
	endif

	outvalue "clipL", kclipL	
	outvalue "clipR", kclipR

	outs		ainL, ainR
endin
</CsInstruments>
<CsScore>
i1 0 999
</CsScore>

</CsoundSynthesizer>
<MacOptions>
Version: 3
Render: Real
Ask: No
Functions: None
Listing: Window
CurrentView: orc
IOViewEdit: Off
Options: -b512 -s -m7 -R -M0 -M0 
</MacOptions>
<MacGUI>
ioView background {16533, 16533, 16533}
ioText {191, 26} {51, 34} label 0.000000 0.001000 "" center "Copperplate Light" 12 {0, 0, 0} {36, 25, 0} nobackground border p e a k
ioText {217, 299} {24, 29} label 0.000000 0.001000 "" center "Marker Felt" 14 {0, 0, 269} {24, 29, 0} nobackground noborder R
ioText {196, 299} {24, 28} label 0.000000 0.001000 "" center "Marker Felt" 14 {0, 0, 269} {24, 29, 0} nobackground noborder L
ioText {234, 283} {41, 24} label 0.000000 0.001000 "" left "Lucida Grande" 10 {0, 0, 13} {36, 25, 0} nobackground noborder -dB
ioText {343, 160} {39, 28} label 0.000000 0.001000 "" center "Lucida Grande" 12 {0, 0, 191} {28, 26, 0} nobackground noborder Gain
ioMeter {196, 61} {20, 239} {44563, 53738, 65535} "peakL" 0.000000 "peakL" 0.000000 fill 1 0 notrack
ioSlider {368, 164} {34, 107} 0.000000 10.000000 0.000000 gain
ioText {234, 55} {48, 28} label 0.000000 0.001000 "" left "Lucida Grande" 10 {0, 0, 13} {36, 25, 0} nobackground noborder 0 dB
ioText {41, 50} {137, 165} label 0.000000 0.001000 "" center "Marker Felt" 32 {0, 0, 0} {0, 0, 251} nobackground border Input Monitor and Record
ioText {363, 89} {101, 39} label 0.000000 0.001000 "" left "Futura" 18 {0, 0, 13} {36, 25, 0} nobackground noborder Record
ioText {346, 172} {33, 24} display 0.000000 0.001000 "gain" center "Lucida Grande" 10 {0, 0, 191} {28, 26, 0} nobackground noborder 
ioMeter {216, 61} {20, 239} {44563, 53738, 65535} "peakR" 0.000000 "peakR" 0.000000 fill 1 0 notrack
ioMeter {197, 43} {17, 20} {44563, 53738, 65535} "clipL" 0.000575 "clipL" 0.000575 fill 1 0 notrack
ioMeter {217, 43} {17, 20} {44563, 53738, 65535} "clipR" 0.001060 "clipR" 0.001060 fill 1 0 notrack
ioCheckbox {340, 93} {30, 30} off recording
</MacGUI>
